import App from './App.uvue'

import { createSSRApp } from 'vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
export function main(app: IApp) {
    definePageRoutes();
    defineAppConfig();
    
    (createApp()['app'] as VueApp).mount(app, GenUniApp());
}

export class UniAppConfig extends io.dcloud.uniapp.appframe.AppConfig {
    override name: string = "111"
    override appid: string = "__UNI__ABF0653"
    override versionName: string = "1.0.0"
    override versionCode: string = "100"
    override uniCompilerVersion: string = "4.45"
    
    constructor() { super() }
}

import GenPagesIndexLoginClass from './pages/index/login.uvue?type=page'
import GenPagesIndexIndex1Class from './pages/index/index_1.uvue?type=page'
import GenPagesHomeHomeClass from './pages/home/home.uvue?type=page'
import GenPagesIndexWodeClass from './pages/index/wode.uvue?type=page'
function definePageRoutes() {
__uniRoutes.push({ path: "pages/index/login", component: GenPagesIndexLoginClass, meta: { isQuit: true } as UniPageMeta, style: utsMapOf([["navigationBarTitleText",""],["navigationStyle","custom"]]) } as UniPageRoute)
__uniRoutes.push({ path: "pages/index/index_1", component: GenPagesIndexIndex1Class, meta: { isQuit: false } as UniPageMeta, style: utsMapOf([["navigationBarTitleText","北京汽车有限公司"]]), needLogin: true } as UniPageRoute)
__uniRoutes.push({ path: "pages/home/home", component: GenPagesHomeHomeClass, meta: { isQuit: false } as UniPageMeta, style: utsMapOf([["navigationBarTitleText","北京汽车有限公司"],["navigationStyle","custom"]]), needLogin: true } as UniPageRoute)
__uniRoutes.push({ path: "pages/index/wode", component: GenPagesIndexWodeClass, meta: { isQuit: false } as UniPageMeta, style: utsMapOf([["navigationBarTitleText","北京汽车有限公司"],["navigationStyle","custom"]]), needLogin: true } as UniPageRoute)
}
const __uniTabBar: Map<string, any | null> | null = utsMapOf([["color","#7A7E83"],["selectedColor","#3cc51f"],["borderStyle","black"],["backgroundColor","#ffffff"],["list",[utsMapOf([["pagePath","pages/home/home"],["iconPath",""],["selectedIconPath","static/image/icon_component_HL.png"],["text","首页"]]),utsMapOf([["pagePath","pages/index/index_1"],["iconPath",""],["selectedIconPath","static/image/icon_API_HL.png"],["text","订单"]]),utsMapOf([["pagePath","pages/index/wode"],["iconPath",""],["selectedIconPath","static/image/icon_API_HL.png"],["text","我的"]])]]])
const __uniLaunchPage: Map<string, any | null> = utsMapOf([["url","pages/index/login"],["style",utsMapOf([["navigationBarTitleText",""],["navigationStyle","custom"]])]])
function defineAppConfig(){
  __uniConfig.entryPagePath = '/pages/index/login'
  __uniConfig.globalStyle = utsMapOf([["navigationBarTextStyle","black"],["navigationBarTitleText","uni-app x"],["navigationBarBackgroundColor","#F8F8F8"],["backgroundColor","#F8F8F8"]])
  __uniConfig.getTabBarConfig = ():Map<string, any> | null =>  utsMapOf([["color","#7A7E83"],["selectedColor","#3cc51f"],["borderStyle","black"],["backgroundColor","#ffffff"],["list",[utsMapOf([["pagePath","pages/home/home"],["iconPath",""],["selectedIconPath","static/image/icon_component_HL.png"],["text","首页"]]),utsMapOf([["pagePath","pages/index/index_1"],["iconPath",""],["selectedIconPath","static/image/icon_API_HL.png"],["text","订单"]]),utsMapOf([["pagePath","pages/index/wode"],["iconPath",""],["selectedIconPath","static/image/icon_API_HL.png"],["text","我的"]])]]])
  __uniConfig.tabBar = __uniConfig.getTabBarConfig()
  __uniConfig.conditionUrl = ''
  __uniConfig.uniIdRouter = utsMapOf()
  
  __uniConfig.ready = true
}
